com.sun.java.xml.ns.javaee

## Class XsdQNameType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.XsdQNameType

-     public class XsdQNameType
      extends Object

  This type adds an "id" attribute to xsd:QName.

  Java-Klasse für xsdQNameType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="xsdQNameType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>QName">
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected QName` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XsdQNameType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `QName` | `getValue()` Ruft den Wert der value-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setValue(QName value)` Legt den Wert der value-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected QName value

    - #### id

          protected String id

  - ### Constructor Detail

    - #### XsdQNameType

          public XsdQNameType()

  - ### Method Detail

    - #### getValue

          public QName getValue()

      Ruft den Wert der value-Eigenschaft ab.
      Returns:
        possible object is `QName`

    - #### setValue

          public void setValue(QName value)

      Legt den Wert der value-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `QName`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.